Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff approac hes

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 6 Oct 2000 10:46:51 +0200

Hi Pete

I would like to add something to Hesham's comments:

> Again, this indicates a pretty tight real-time coupling between the
> MIP client and the L2 that we wanted to avoid.  Registering after
> the L2 handoff removes this dependency.

I think there is a misunderstanding here. We want coupling between
the MIP agent (FA) and L2. That's the same for Proactive so I don't
see a difference. Point 2) in the list of differences talks about this.

>
> In summary, I think the Fast Handoffs draft has some hidden costs
> associated with it (tight L2 coupling, configuration of adverts from
> neighbor FAs, getting "remote" registration to work properly) that may
> not be immediately obvious on a first read-through.

Both drafts involve costs on the network-side. That's all I think we
can say and there's no "hidden" costs. In my view, a more appropriate
question to be asked when looking at the two drafts is: should the MN
be involved in the L3 handoff or not?

> The Proactive
> draft requires some extra support from the network elements but allows
> us to use a completely vanilla (non real-time) RFC 2002 MIP client
> implementation.

As above, this is not a difference.
I think that you can't claim to have a more RFC2002-compatible
draft, maybe the opposite is the case given that in Proactive handoffs
the network (FA) registers on behalf of the MN.

> The frequency of advertisements/registrations can be
> adjusted for optimum end-to-end performance without regard to the rate
> of handoffs in the underlying L2 technology.

Again, I think we can do this same adjustment, without relating
to the rate of handoffs in the underling L2 technology. There is
definitely no assumption that a L2 handoff will involve a L3 handoff.
What we do is link the minimum rate of advertisement/registrations with
the rate of L3 handoffs (change of FA) which is what RFC2002 does.
This is different from Proactive, where there is no guarantee that
a L3 handoff will involve an advertisement/registration.

Regards,
Karim

---

From: "[email-masked]" <[email-masked]>
Date: Fri, 6 Oct 2000 06:44:47 -0700

> the network (FA) registers on behalf of the MN.

Only within its own infrastructure. The I-D does not allow the FA to register
with the Home Agent on behalf of the Mobile Node. Given that the Mobile Node
has already registered with its Home Agent through the Foreign Agent, the
local network simply "extends" the registration through another Foreign Agent
that it also owns.

So, there are no changes to the mobile node, or Home Agent.

I believe that Pete's common on real time has to do with the current state of
some cellular networks. In some of these technologies, the Mobile gets a
message, informing it to do a handoff. There is no extra time for the mobile
to register. Tom Hiller stated this on the v4 handoff design team conference
call, but I believe you weren't on that particular call.

PatC